Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Process_Semaphore.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/Semaphore.h"`
`#include "ace/Process_Semaphore.inl"`

Include dependency graph for Process_Semaphore.h:

This graph shows which files directly or indirectly include this file:

## Compounds

class | ACE_Malloc_Lock_Adapter_T< ACE_Process_Semaphore >
| Template specialization of ACE_Malloc_Lock_Adapter_T for ACE_Process_Semaphore. More...
class | ACE_Process_Semaphore
| Wrapper for Dijkstra style general semaphores that work across processes. More...

## Detailed Description

Id:
  Process_Semaphore.h,v 4.9 2003/12/18 22:56:52 dhinton Exp

Wrapper for Dijkstra style general semaphores that work across processes.

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>